karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Achim Nierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-2683) Downgrade to OpenJPA 2.2.2
Date Tue, 14 Jan 2014 20:39:23 GMT

    [ https://issues.apache.org/jira/browse/KARAF-2683?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13871114#comment-13871114
] 

Achim Nierbeck commented on KARAF-2683:
---------------------------------------

following bundles where needed for me to have OpenJPA 2.2.2 running in Karaf 3.0

{code}
		<bundle>mvn:org.apache.geronimo.specs/geronimo-annotation_1.0_spec/1.1.1</bundle>
		<bundle>mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/1.1</bundle>
		<bundle>mvn:org.apache.geronimo.specs/geronimo-servlet_2.5_spec/1.2</bundle>
		<bundle>mvn:org.apache.geronimo.specs/geronimo-el_1.0_spec/1.0.1</bundle>
		<bundle>mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/1.1.1</bundle>
		<bundle>mvn:commons-lang/commons-lang/2.6</bundle>
		<bundle>mvn:commons-collections/commons-collections/3.2.1</bundle>
		<bundle>mvn:commons-pool/commons-pool/1.6</bundle>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-dbcp/1.4_3</bundle>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.ant/1.7.0_6</bundle>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.serp/1.14.1_1</bundle>
		<bundle>mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/1.1.1</bundle>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.asm/3.3_2</bundle>
		<bundle>mvn:org.apache.openjpa/openjpa/2.2.2</bundle>
{code}

> Downgrade to OpenJPA 2.2.2
> --------------------------
>
>                 Key: KARAF-2683
>                 URL: https://issues.apache.org/jira/browse/KARAF-2683
>             Project: Karaf
>          Issue Type: Bug
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.4.0, 3.0.1
>
>
> As OpenJPA 2.3.0 has an issue, and we don't have visibility to get OpenJPA 2.3.1 with
a fix, it's better to provide an OpenJPA 2.2.2 feature by default.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message